/*******************************************************************************
 * Copyright (c) 2013 IBM Corp.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v1.0 which accompany this distribution.
 *
 * The Eclipse Public License is available at
 *    http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 *   http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *    Takahiro Inaba - initial API and implementation and/or initial
 *                     documentation
 *******************************************************************************/
package com.ibm.jmeter.protocol.mqtt;

public class MqttMessage {
	private byte[] messageBody;
	private int qos;
	private boolean retained;
	private boolean dup = false;

	public MqttMessage(byte[] messageBody) {
		this.messageBody = messageBody;
	}
	public byte[] getMessageBody() {
		return messageBody;
	}
	public void setMessageBody(byte[] messageBody) {
		this.messageBody = messageBody;
	}
	public int getQos() {
		return qos;
	}
	public void setQos(int qos) {
		this.qos = qos;
	}
	public boolean isRetained() {
		return retained;
	}
	public void setRetained(boolean retained) {
		this.retained = retained;
	}
	public boolean isDuplicate() {
		return this.dup;
	}

}
